automation-suite
2023.4
false
- 基本情報
- 認証
- 範囲と権限
- プラットフォーム管理 API
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。
新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。

UiPath Automation Suite API ガイド
最終更新日時 2025年2月24日
ホスト管理者は、エンドポイントを使用して組織 ID に基づいて組織にライセンスを割り当てることができます。
重要: 組織とテナントにライセンスを割り当てるには、ホスト資格情報を使用して認証する必要があります。
PUT https://{yourDomain}/lrm/api/host/{hostAccountID}/organization/{organizationId}/license--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'|
パス パラメーター |
データ型 |
説明 |
|---|---|---|
|
(必須) |
文字列 |
ライセンスを割り当てるホスト アカウントの ID。 警告:
常に既定値 (
feb0dd79-85b6-483b-b297-0e49a1aa5b7d) を使用します。 |
|
(必須) |
文字列 |
ライセンスを割り当てる組織の ID。 |
要求本文には、さまざまな製品のライセンス コードの配列と、それらに対応する数量が含まれています。
{
"productQuantities":
[
{ "code": "string", "quantity": 0 }
]
}{
"productQuantities":
[
{ "code": "string", "quantity": 0 }
]
}注:
- 要求本文で使用できる利用可能なライセンス コードを確認するには、「ライセンス コード」をご覧ください。
- 組織が購入した数のライセンスを割り当てることができます。
200 OK
割り当てられたライセンスを返します。404
ホスト ライセンスが存在しないか、オンプレミス フローの機能フラグがオフになっています。
409
ホスト ライセンスの数を超えるため、ライセンスの割り当ては許可されません。
API 呼び出しの構築に必要な情報をすべて収集したとします。
{baseURL}はhttps://tom-jones-server.comです。{access_token}は1234です (長さを考慮)。{hostAccountId}はj0ne5です。- ライセンスの割り当てが必要な
{organizationId}はy-y-y-delilahです。 - 次のように組織に製品ライセンスを割り当てます。
呼び出しは次の例のようになります (cURL)。
curl --location --request POST 'https://tom-jones-server.com/lrm/api/host/j0ne5/organization/y-y-y-delilah/license' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"productQuantities":
[
{ "code": "UNATT", "quantity": 2 },
{ "code": "AIG", "quantity": 1 },
{ "code": "TAUNATT", "quantity": 3 }
]
}'curl --location --request POST 'https://tom-jones-server.com/lrm/api/host/j0ne5/organization/y-y-y-delilah/license' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"productQuantities":
[
{ "code": "UNATT", "quantity": 2 },
{ "code": "AIG", "quantity": 1 },
{ "code": "TAUNATT", "quantity": 3 }
]
}'ライセンス割り当てに成功した場合の応答本文は次のとおりです。
{
"accountId": "y-y-y-delilah",
"bundleCode": "string",
"endDate": 0,
"gracePeriod": 0,
"licenseCode": "string",
"licenseStatus": "string",
"products": [
{
"code": "string",
"quantity": 0,
"type": "string",
"features": [
{
"code": "string",
"type": "string",
"value": "string"
}
]
}
],
"templates": [
{
"productCode": "string",
"products": [
{
"code": "string",
"type": "string"
}
]
}
],
"startDate": 0,
"subscriptionCode": "string",
"subscriptionPlan": "string",
"payload": "string",
"type": "string",
"parentLicenseCode": "string"
}{
"accountId": "y-y-y-delilah",
"bundleCode": "string",
"endDate": 0,
"gracePeriod": 0,
"licenseCode": "string",
"licenseStatus": "string",
"products": [
{
"code": "string",
"quantity": 0,
"type": "string",
"features": [
{
"code": "string",
"type": "string",
"value": "string"
}
]
}
],
"templates": [
{
"productCode": "string",
"products": [
{
"code": "string",
"type": "string"
}
]
}
],
"startDate": 0,
"subscriptionCode": "string",
"subscriptionPlan": "string",
"payload": "string",
"type": "string",
"parentLicenseCode": "string"
}